# Uses of Interface
org.opensaml.saml.saml2.metadata.Company

Packages that use Company
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of Company in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return Company
Modifier and Type
Method
Description
`Company`
ContactPerson.`getCompany()`
Gets the company this contact person is associated with.
Methods in org.opensaml.saml.saml2.metadata with parameters of type Company
Modifier and Type
Method
Description
`void`
ContactPerson.`setCompany(Company company)`
Sets the company this contact person is associated with.

## Uses of Company in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement Company
Modifier and Type
Class
Description
`class`
`CompanyImpl`
Concrete implementation of `Company`.
Fields in org.opensaml.saml.saml2.metadata.impl declared as Company
Modifier and Type
Field
Description
`private Company`
ContactPersonImpl.`company`
Company child element.
Methods in org.opensaml.saml.saml2.metadata.impl that return Company
Modifier and Type
Method
Description
`Company`
CompanyBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Company`
CompanyBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Company`
ContactPersonImpl.`getCompany()`
Gets the company this contact person is associated with.
Methods in org.opensaml.saml.saml2.metadata.impl with parameters of type Company
Modifier and Type
Method
Description
`void`
ContactPersonImpl.`setCompany(Company theCompany)`
Sets the company this contact person is associated with.